Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Gdk::EventAny Class Reference

A GdkEventAny C++ wrapper class. More...

`#include <xfc/gdk/events.hh>`

Inheritance diagram for Xfc::Gdk::EventAny:

List of all members.

## Public Member Functions

Accessors

- GdkEventAny * gdk_event_any () const
    Get a pointer to the GdkEventAny structure.
- Window * window () const
    Returns the Gdk::Window which received the event.
- bool send_event () const
    Returns true if the event was sent explicitly (for example, using XSendEvent).

## Detailed Description

A GdkEventAny C++ wrapper class.

EventAny contains methods which access the event fields common to all event objects. Any event can safely call any() to return a pointer to an EventAny object.

The documentation for this class was generated from the following file:

- events.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3